in scala.xml
object Null

`case object` Null
  `extends` scala.xml.MetaData
  `with` scala.ScalaObject
  `with` scala.CaseClass

Constructor Summary
| `def` this

Def Summary
`final` `override` | `def` $tag : scala.Int
`override` | `def` append (m: scala.xml.MetaData) : scala.xml.MetaData appends given MetaData items to this MetaData list
| `def` apply (key: java.lang.String) : scala.Null null
| `def` apply (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.Null gets value of qualified (prefixed) attribute with given key
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement (x$1: scala.Int) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`override` | `def` containedIn1 (m: scala.xml.MetaData) : scala.Boolean
| `def` copy (next: scala.xml.MetaData) : scala.xml.MetaData returns its argument
`override` | `def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData]
`override` | `def` equals (that: scala.Any) : scala.Boolean deep equals method
| `def` equals1 (that: scala.xml.MetaData) : scala.Boolean
`override` | `def` filter (f: scala.Function1[scala.xml.MetaData, scala.Boolean]) : scala.xml.MetaData
| `def` getNamespace (owner: scala.xml.Node) : scala.Null returns null
`final` `override` | `def` hasNext : scala.Boolean
`override` | `def` hashCode : scala.Int
| `def` isPrefixed : scala.Boolean
| `def` key : scala.Null
`final` `override` | `def` length (i: scala.Int) : scala.Int
`final` `override` | `def` length : scala.Int
`override` | `def` map (f: scala.Function1[scala.xml.MetaData, scala.xml.Text]) : scala.List[scala.xml.Text]
| `def` next : scala.Null
`protected` | `def` readResolve : java.lang.Object
| `def` remove (key: java.lang.String) : scala.xml.Null.type
| `def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.xml.Null.type
`override` | `def` toString : java.lang.String
`override` | `def` toString (sb: scala.compat.StringBuilder) : scala.Unit
| `def` toString1 (sb: scala.compat.StringBuilder) : scala.Unit
`override` | `def` toString1 : java.lang.String
| `def` value : scala.Null
`override` | `def` wellformed (scope: scala.xml.NamespaceBinding) : scala.Boolean

Constructor Detail

`def` this

Def Detail

`final override def` $tag : scala.Int

`override def` append (m: scala.xml.MetaData): scala.xml.MetaData

  appends given MetaData items to this MetaData list

`def` apply (key: java.lang.String): scala.Null

  null

`def` apply (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.Null

  gets value of qualified (prefixed) attribute with given key

`final override def` caseArity : scala.Int

`final override def` caseElement (x$1: scala.Int): scala.Any

`final override def` caseName : java.lang.String

`override def` containedIn1 (m: scala.xml.MetaData): scala.Boolean

`def` copy (next: scala.xml.MetaData): scala.xml.MetaData

  returns its argument

`override def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData]

`override def` equals (that: scala.Any): scala.Boolean

  deep equals method

`def` equals1 (that: scala.xml.MetaData): scala.Boolean

`override def` filter (f: scala.Function1[scala.xml.MetaData, scala.Boolean]): scala.xml.MetaData

`def` getNamespace (owner: scala.xml.Node): scala.Null

  returns null

`final override def` hasNext : scala.Boolean

`override def` hashCode : scala.Int

`def` isPrefixed : scala.Boolean

`def` key : scala.Null

`final override def` length (i: scala.Int): scala.Int

`final override def` length : scala.Int

`override def` map (f: scala.Function1[scala.xml.MetaData, scala.xml.Text]): scala.List[scala.xml.Text]

`def` next : scala.Null

`protected def` readResolve : java.lang.Object

`def` remove (key: java.lang.String): scala.xml.Null.type

`def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.xml.Null.type

`override def` toString : java.lang.String

`override def` toString (sb: scala.compat.StringBuilder): scala.Unit

`def` toString1 (sb: scala.compat.StringBuilder): scala.Unit

`override def` toString1 : java.lang.String

`def` value : scala.Null

`override def` wellformed (scope: scala.xml.NamespaceBinding): scala.Boolean